com.h3c.sdn.tvue

## Enum NodeType

- java.lang.Object
- - java.lang.Enum<NodeType>
  - - com.h3c.sdn.tvue.NodeType

- All Implemented Interfaces:
    Serializable, Comparable<NodeType>

      public enum NodeType
      extends Enum<NodeType>

  Topology node type, i.e. interconnect device, station, etc.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INTERCONNECT` Represents an interconnect device.
    `STATION` Represents a terminal station.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERCONNECT

          public static final NodeType INTERCONNECT

      Represents an interconnect device.

    - #### STATION

          public static final NodeType STATION

      Represents a terminal station.

  - ### Method Detail

    - #### values

          public static NodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeType c : NodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.